/***************************************************************************
                          maptile_teleporter.h  -  description
                             -------------------
    begin                : Mon Feb 25 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MAPTILE_TELEPORTER_H
#define MAPTILE_TELEPORTER_H

#include "maptile.h"

/**
  *@author funthing (Matthias Zisler)
  */
class Sprite;

class Maptile_teleporter : public Maptile
{
public:
	Maptile_teleporter(int _x, int _y, int _id, int _did, WorldType _wt, Map* _map);
	~Maptile_teleporter();

	void show();
	void act();
	void fit();
	
	int get_id();

	Sprite* sprite;

private:

	int id, did;
	Maptile_teleporter* dest;
	bool connected;
};

#endif
