/***************************************************************************
                          wheel.h  -  description
                             -------------------
    begin                : Sat Feb 9 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef WHEEL_H
#define WHEEL_H

#include "gui.h"

/**
  *@author funthing (Matthias Zisler)
  */
class CL_Font;
class Arrow;

class Wheel : public Gui
{
public: 
	Wheel(int _x, int _y, Menu* _men, int _max, int _val);
	~Wheel();

	int get_val();
	void set_val(int i);
	void set_max(int i);
	void act();
	void set_Delete_Me();


private:

	int val;
	CL_Font* font;
	Arrow* up;
	Arrow* down;
	int max;
};

#endif
